[Testing Update] 2018-01-04 - Kernels, XFCE-Settings, Gimp Development Edition

update
testing
pti
kpti

#1

Hi community,

since the Intel Bug also affects other LTS kernels, we went ahead and already patched v4.4 and v4.9 series for you. Originally those were scheduled to be released this Friday. If you’re affected by performance issues, you may disable PTI on your own risk via nopti on updated kernel series.

Based on the news, AMD is not affected by this. Currently we all wonder, why Intel points also to other vendors and why the heck shares got sold last year by the CEO of Intel, to the bare minimum?!?

Additionally we fixed the issue with Gimp Development Edition, corrected an issue with xinitrc in XFCE-Settings and updated some Haskell packages.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.90 [EOL]
  • linux41 4.1.48
  • linux44 4.4.109
  • linux49 4.9.74
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.11
  • linux415 4.15-rc6
  • linux-RT-LTS 4.9.68_rt60
  • linux-RT 4.11.12_rt16

Package Updates (Thu Jan 4 05:35:48 CET 2018)

  • testing community x86_64: 78 new and 78 removed package(s)
  • testing core x86_64: 7 new and 7 removed package(s)
  • testing extra x86_64: 38 new and 38 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                    adapta-gtk-theme          3.92.2.57-1                    -
                          gimp-devel              2.9.8-1              2.9.8-2
                             i3-gaps             4.14.1-1                    -
       manjaro-xfce-minimal-settings           20171223-2           20180103-1
               manjaro-xfce-settings           20171223-2           20180103-1
                  masalla-icon-theme                1.0-1                1.2-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                               cgrep            6.6.17-25            6.6.17-26
                               fd-rs              6.1.0-1              6.2.0-1
                              girara              0.2.8-1              0.2.8-2
                           git-annex        6.20171214-10        6.20171214-12
                              gopass              1.6.6-1              1.6.7-2
                haskell-aeson-pretty             0.8.5-16             0.8.5-17
                haskell-authenticate              1.3.4-4              1.3.4-5
                         haskell-aws               0.18-9              0.18-10
                     haskell-cmdargs            0.10.18-2            0.10.19-1
         haskell-conduit-combinators              1.1.2-5              1.1.2-6
               haskell-conduit-extra              1.2.2-2              1.2.2-3
          haskell-cryptohash-conduit            0.1.1-116            0.1.1-117
          haskell-cryptonite-conduit              0.2.2-9             0.2.2-10
                         haskell-dav            1.3.1-179            1.3.1-180
                         haskell-dns              3.0.0-8              3.0.0-9
                   haskell-esqueleto             2.5.3-33             2.5.3-34
                        haskell-feed            1.0.0.0-9           1.0.0.0-10
                      haskell-hakyll          4.10.0.0-10          4.10.0.0-13
                 haskell-hledger-lib                1.4-9               1.4-10
                    haskell-hopenpgp            2.5.5-132            2.5.5-133
                haskell-http-conduit              2.2.4-6              2.2.4-7
                 haskell-juicypixels            3.2.9.1-2            3.2.9.3-1
                haskell-monad-logger             0.3.26-5             0.3.26-6
                  haskell-persistent              2.7.3-4              2.7.3-5
           haskell-persistent-sqlite              2.6.4-9             2.6.4-10
         haskell-persistent-template             2.5.3-13             2.5.3-14
            haskell-project-template             0.2.0-83             0.2.0-84
           haskell-tagstream-conduit          0.5.5.3-102          0.5.5.3-103
       haskell-tamarin-prover-theory              1.2.2-9             1.2.2-10
                       haskell-tasty               0.12-3           0.12.0.1-1
      haskell-tasty-expected-failure           0.11.0.4-5           0.11.0.4-6
                haskell-tasty-golden            2.3.1.2-2            2.3.1.2-3
                 haskell-tasty-hunit           0.10.0.1-3           0.10.0.1-4
            haskell-tasty-quickcheck             0.9.1-17             0.9.1-18
                 haskell-tasty-rerun              1.1.8-3              1.1.8-4
                    haskell-tasty-th              0.1.7-2              0.1.7-3
               haskell-typed-process            0.2.0.0-1            0.2.1.0-1
              haskell-wai-websockets           3.0.1.1-34           3.0.1.1-35
                  haskell-websockets           0.12.2.0-5           0.12.3.0-1
                 haskell-xml-conduit              1.7.0-6              1.7.0-7
                  haskell-xml-hamlet           0.4.1.1-10           0.4.1.1-11
                       haskell-yesod            1.4.5-140            1.4.5-141
                  haskell-yesod-auth            1.4.21-16            1.4.21-17
                  haskell-yesod-core          1.4.37.2-13          1.4.37.2-14
               haskell-yesod-default            1.2.0-216            1.2.0-217
                  haskell-yesod-form            1.4.16-38            1.4.16-39
            haskell-yesod-persistent             1.4.3-20             1.4.3-21
                haskell-yesod-static           1.5.3.1-47           1.5.3.1-48
                             hledger               1.4-13               1.4-14
                         hledger-api               1.4-35               1.4-36
                          hledger-ui               1.4-17               1.4-18
                         hledger-web               1.4-43               1.4-45
                               hlint             2.0.11-7             2.0.11-8
                              hoogle            5.0.14-17            5.0.14-19
                      hopenpgp-tools            0.19.5-31            0.19.5-32
                             jenkins               2.99-1              2.100-1
                           packer-io              1.1.3-1              1.1.3-2
                              pandoc              2.0.6-1              2.0.6-3
                     pandoc-citeproc           0.12.2.3-1           0.12.2.3-4
                     pandoc-crossref            0.3.0.0-7            0.3.0.0-9
                     python-cairosvg              2.1.2-1              2.1.3-1
                 python-glanceclient              2.8.0-1              2.9.0-1
                    python-texttable              1.1.1-1              1.2.1-1
             python-websocket-client             0.45.0-1             0.46.0-1
                python2-glanceclient              2.8.0-1              2.9.0-1
                   python2-texttable              1.1.1-1              1.2.1-1
            python2-websocket-client             0.45.0-1             0.46.0-1
                        riot-desktop             0.13.3-1             0.13.4-1
                            riot-web             0.13.3-1             0.13.4-1
                               stack              1.6.3-7              1.6.3-8
                      tamarin-prover             1.2.2-45             1.2.2-47
                             zanshin  0.4.1.git20171127-1              0.5.0-1
                      python-cjkwrap                    -                2.2-1
                     python2-cjkwrap                    -                2.2-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                        kernel-alive                0.2-4                0.2-5
                      linux415 4.15.r171231.g30a7acd-1 4.15.r180104.g00a5ae2-1
              linux415-headers 4.15.r171231.g30a7acd-1 4.15.r180104.g00a5ae2-1
                             linux44            4.4.109-1            4.4.109-2
                     linux44-headers            4.4.109-1            4.4.109-2
                             linux49             4.9.74-1             4.9.74-2
                     linux49-headers             4.9.74-1             4.9.74-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                   linux44-acpi_call             1.1.0-76             1.1.0-77
                    linux44-bbswitch               0.8-76               0.8-77
                 linux44-broadcom-wl      6.30.223.271-46      6.30.223.271-47
                    linux44-catalyst     1:15.201.1151-76     1:15.201.1151-77
                 linux44-ndiswrapper              1.61-44              1.61-45
                      linux44-nvidia          1:384.98-11          1:384.98-12
                linux44-nvidia-304xx         1:304.137-11         1:304.137-12
                linux44-nvidia-340xx           340.104-17           340.104-18
                    linux44-nvidiabl              0.88-76              0.88-77
       linux44-open-vm-tools-modules      2:2013.09.16-76      2:2013.09.16-77
                       linux44-r8168          8.044.02-30          8.044.02-31
                   linux44-rt3562sta        2.4.1.1_r4-44        2.4.1.1_r4-45
                         linux44-spl          0.7.5-1.109          0.7.5-1.110
                    linux44-tp_smapi              0.41-76              0.41-77
                 linux44-vhba-module          20161009-44          20161009-45
    linux44-virtualbox-guest-modules              5.2.4-3              5.2.4-4
     linux44-virtualbox-host-modules              5.2.4-3              5.2.4-4
                         linux44-zfs          0.7.5-1.109          0.7.5-1.110
                   linux49-acpi_call             1.1.0-58             1.1.0-59
                    linux49-bbswitch               0.8-58               0.8-59
                 linux49-broadcom-wl      6.30.223.271-58      6.30.223.271-59
                    linux49-catalyst     1:15.201.1151-58     1:15.201.1151-59
                 linux49-ndiswrapper              1.61-56              1.61-57
                      linux49-nvidia          1:384.98-11          1:384.98-12
                linux49-nvidia-304xx         1:304.137-17         1:304.137-18
                linux49-nvidia-340xx           340.104-17           340.104-18
                    linux49-nvidiabl              0.88-58              0.88-59
                       linux49-r8168          8.044.02-38          8.044.02-39
                   linux49-rt3562sta        2.4.1.1_r4-56        2.4.1.1_r4-57
                         linux49-spl           0.7.5-1.74           0.7.5-1.75
                    linux49-tp_smapi              0.41-58              0.41-59
                 linux49-vhba-module          20161009-56          20161009-57
    linux49-virtualbox-guest-modules              5.2.4-3              5.2.4-4
     linux49-virtualbox-host-modules              5.2.4-3              5.2.4-4
                         linux49-zfs           0.7.5-1.74           0.7.5-1.75


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                            gwenview            17.12.0-1            17.12.0-2
                                lcms               1.19-5               1.19-6
                           qtcreator              4.5.0-1              4.5.0-2

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


[SOLVED] x86 cpu_insecure vulnerabily
#2

There is no cure against this currently :slight_smile:


#3

What do you mean? The PTI patches in 4.14.11 do not help?


#4

all OoO architectures are vulnerable to spectre. spectre is about one process reading another’s process memory, while meltdown is about reading kernel memory, as I understand.


#5

It would be best to read this thread in regard of the issues with Spectre and Meltdown.


#6

Here we go for some more package updates …

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community x86_64:  11 new and 10 removed package(s)
 - testing core x86_64:  3 new and 3 removed package(s)
 - testing extra x86_64:  1 new and 1 removed package(s)

:: Upstream: Thu Jan 4 11:22:14 CET 2018

:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                      acpi_call-dkms             1.1.0-91             1.1.0-92
                             aws-cli            1.14.15-1            1.14.18-1
                              fossil                2.4-1                2.4-2
                              gitlab             10.3.2-1             10.3.3-1
                                josm              13170-1              13265-1
                     python-botocore             1.8.19-1             1.8.22-1
                            rubinius               3.88-1               3.89-1
                       rubinius-ruby               3.88-1               3.89-1
                               tiled              1.0.3-1              1.1.0-1
                                 vym              2.6.0-1             2.6.11-1
                             fractal                    -              0.1.6-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                            linux414            4.14.11-1            4.14.11-2
                    linux414-headers            4.14.11-1            4.14.11-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                                nano              2.9.1-1              2.9.2-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-03           2018-01-04
-------------------------------------------------------------------------------
                               xterm                330-1                331-1

#7

No apparent issues on several machines.


#8

Only got the kernels and vbox modules from this update - so far everything fine; No noticible issues sofar from the mittigation patch;

The EOL notification persists tough - gimp-devel still complains about
gimp: error while loading shared libraries: libjson-c.so.2: cannot open shared object file: No such file or directory - something I do wrong?


#9

libmypaint needs a rebuild.

@Chrysostomus: seems the latest version of update-notifier still has a regression. Can you double-check on your end?


#10

Some more package updates:

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community x86_64:  20 new and 17 removed package(s)
 - testing core x86_64:  3 new and 3 removed package(s)
 - testing extra x86_64:  2 new and 5 removed package(s)

:: Upstream: Thu Jan 4 13:28:53 CET 2018

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-04           2018-01-04
-------------------------------------------------------------------------------
                          libmypaint              1.3.0-2              1.3.0-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-04           2018-01-04
-------------------------------------------------------------------------------
                        deepin-movie          1:3.2.0.1-1          1:3.2.0.2-1
                           git-annex        6.20171214-12        6.20171214-13
                      haskell-hakyll          4.10.0.0-13          4.10.0.0-14
                       haskell-hpack             0.21.2-3             0.21.2-4
                        haskell-yaml             0.8.25-4           0.8.25.1-1
                       haskell-yesod            1.4.5-141            1.4.5-142
                             hindent            5.2.4.1-7            5.2.4.1-8
                         hledger-web               1.4-45               1.4-46
                               hlint             2.0.11-8             2.0.11-9
                      hopenpgp-tools            0.19.5-32            0.19.5-33
                              hwinfo              21.38-1              21.50-1
                              pandoc              2.0.6-3              2.0.6-4
                     pandoc-citeproc           0.12.2.3-4           0.12.2.3-5
                     pandoc-crossref            0.3.0.0-9           0.3.0.0-10
                               stack              1.6.3-8              1.6.3-9
                     stylish-haskell           0.8.1.0-27           0.8.1.0-28
             gnome-icon-theme-extras                    -             3.12.0-3
                           libgovirt                    -  0.3.4+45+g46288e8-1
                   python2-telepathy                    -            0.15.19-7


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-04           2018-01-04
-------------------------------------------------------------------------------
                            linux414            4.14.11-2            4.14.11-3
                    linux414-headers            4.14.11-2            4.14.11-3


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-04           2018-01-04
-------------------------------------------------------------------------------
                          libnghttp2             1.28.0-1             1.29.0-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-04           2018-01-04
-------------------------------------------------------------------------------
             gnome-icon-theme-extras             3.12.0-3                    -
                           libgovirt  0.3.4+45+g46288e8-1                    -
                             librsvg          2:2.40.20-1           2:2.41.2-1
                             nghttp2             1.28.0-1             1.29.0-1
                   python2-telepathy            0.15.19-5                    -

#11

Checking it tonight. The current test is

  if ! $(pacman -Ssq $(mhwd-kernel -li | awk '/ \* / {print $2}') &> /dev/null)

Not sure why it triggers…


#12

Just trying to be helpful :sweat_smile:

so mhwd-kernel -li gives

Currently running: 4.14.11-3-MANJARO (linux414)
The following kernels are installed in your system:
   * linux414
   * linux49

piping that throug awk '/ \* / {print $2}' gives

linux414
linux49

Maybe the new line is the problem?

pacman -Ssq - feeding once linux414 as parameter and the next time linux49 each time responds with the expected packages like

linux49
linux49-headers
.
.
.

but when I run pacman -Ssq linux49 linux414 in terminal I get nothing returned.


#13

Thanks! Now I know how to solve the issue!

EDIT: fixed version is now uploaded to unstable as 0.7.1-1 @philm


#14

AMD is too affected by this: https://www.phoronix.com/scan.php?page=news_item&px=Google-CPU-Disclosure


#15

I get 0.7.2-1 from unstable - i guess thats the fix =)

EDIT: 0.7.2-1 fixed it for me - no more notification =D thanks!


#16

Hi, @philm, when are you planning to push the KPTI patched kernels into the stable branch (if the testing will be fine)?


#17

I just wanted to test 4.14.11 with the PTI patches so I did an upgrade to testing and experienced issues with the adapta theme and plank in cinnamon.

The adapta themes give a completey transparent cinnamon menu which is basically unusable. Other themes do not show this behaviour.

And plank takes several seconds to show up after the cinnamon desktop has been loaded already.

Downgrading to stable solves both problems for me.


#18

I have to correct the plank issue in cinnamon. Still persistent in stable but at the second login. Directly after bootting, 1st login and plank shows up immediately.

Logout and login again and plank takes its time. .xsession-errors does not give a hint.

Any idea how to debug this?


#19

not autostarting plank via cinnamon but through gnome-terminal directly after cinnamon startup gives the same delay for plank.

the debug info says something about

[WARN 20:49:35.854035] [Preferences:382] Missing key 'ItemMoveTime' for group 'PlankDockTheme' in preferences file '/usr/share/plank/themes/Matte/dock.theme' - using default value

## plank start delay happens here

[WARN 20:50:00.891913] Unable to get org.ayatana.bamf matcher: Error calling StartServiceByName for org.ayatana.bamf: Timeout was reached
[CRITICAL 20:50:00.895127] [GLib-GIO] g_dbus_proxy_set_default_timeout: assertion 'G_IS_DBUS_PROXY (proxy)' failed
[WARN 20:50:00.895139] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.898248] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
[WARN 20:50:00.898258] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.901377] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
[WARN 20:50:00.901387] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.904665] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
[WARN 20:50:00.904680] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.907798] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
[WARN 20:50:00.907809] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.910921] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
[WARN 20:50:00.910931] [GLib-GObject] invalid (NULL) pointer instance
[CRITICAL 20:50:00.914042] [GLib-GObject] g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

So, what is this: “Unable to get org.ayatana.bamf matcher: Error calling StartServiceByName for org.ayatana.bamf: Timeout was reached

Matthias


#20

I don’t use plank, but my Cinnamon menu and notification icon are both transparent and are unreadable against a light background. I use Adapta theming as well, and am on the testing branch.

inxi -F
System:    Host: manjaro-cinnamon-laptop Kernel: 4.14.11-3-MANJARO x86_64
           bits: 64
           Desktop: Cinnamon 3.6.6  Distro: Manjaro Linux
Machine:   Device: laptop System: Acer product: Aspire E5-551 v: V1.08 serial: N/A
           Mobo: Acer model: EA50_KV v: V1.08 serial: N/A
           UEFI: Insyde v: V1.08 date: 08/22/2014
Battery    BAT1: charge: 50.6 Wh 100.0% condition: 50.6/55.9 Wh (91%)
CPU:       Quad core AMD A10-7300 Radeon R6 10 Compute Cores 4C+6G (-MCP-) 
           cache: 8192 KB
           clock speeds: max: 1900 MHz 1: 1100 MHz 2: 1800 MHz 3: 1100 MHz
           4: 1100 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Kaveri [Radeon R6 Graphics]
           Display Server: x11 (X.Org 1.19.6 )
           drivers: ati,radeon (unloaded: modesetting)
           Resolution: 1366x768@60.02hz
           OpenGL: renderer: AMD KAVERI (DRM 2.50.0 / 4.14.11-3-MANJARO, LLVM 5.0.1)
           version: 4.5 Mesa 17.3.1
Audio:     Card-1 Advanced Micro Devices [AMD] FCH Azalia Controller
           driver: snd_hda_intel
           Card-2 Advanced Micro Devices [AMD/ATI] Kaveri HDMI/DP Audio Controller
           driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.14.11-3-MANJARO
Network:   Card-1: Realtek RTL8111/8168/8411 PCIE Gigabit Ethernet Controller
           driver: r8168
           IF: enp1s0f1 state: down mac: f0:76:1c:36:07:57
           Card-2: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter
           driver: ath9k
           IF: wlp2s0 state: down mac: 8e:02:71:48:80:57
           Card-3: Realtek RTL8153 Gigabit Ethernet Adapter driver: r8152
           IF: enp0s18f2u2 state: N/A speed: N/A duplex: N/A mac: N/A
Drives:    HDD Total Size: 1000.2GB (7.5% used)
           ID-1: /dev/sda model: WDC_WD10JPVX size: 1000.2GB
Partition: ID-1: / size: 28G used: 14G (53%) fs: ext4 dev: /dev/sda9
           ID-2: /home size: 151G used: 51G (36%) fs: ext4 dev: /dev/sda10
           ID-3: swap-1 size: 6.18GB used: 0.00GB (0%)
           fs: swap dev: /dev/sda8
Sensors:   System Temperatures: cpu: 69.8C mobo: N/A gpu: 68.0
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 182 Uptime: 46 min Memory: 3945.7/10950.8MB
           Client: Shell (bash) inxi: 2.3.53